pref("extensions.tocyrillic.shortcuts.tocyrillic", "control shift VK_Q");
pref("extensions.tocyrillic.shortcuts.totranslit", "control alt shift VK_Q");
pref("extensions.tocyrillic.shortcuts.togglemode", "VK_F2");
pref("extensions.tocyrillic.labels.tocyrillic", "To Cyrillic");
pref("extensions.tocyrillic.labels.totranslit", "To Translit");
pref("extensions.tocyrillic.labels.togglemode", "Toggle Cyrillic Mode");
pref("extensions.tocyrillic.layout","default");
pref("extensions.tocyrillic.layouts.default",'[["shch","\u0429"],["yo","\u0401"],["y\\\o","ыо"],["y\\\u","ыу"],["y\\\a","ыа"],["zh","\u0416"],["ch","\u0427"],["sh","\u0428"],["yu","\u042E"],["ya","\u042F"],["e\'","\u042D"],["eh","\u042D"],["sj","\u0429"],["a","\u0410"],["b","\u0411"],["v","\u0412"],["g","\u0413"],["d","\u0414"],["e","\u0415"],["z","\u0417"],["i","\u0418"],["j","\u0419"],["k","\u041A"],["l","\u041B"],["m","\u041C"],["n","\u041D"],["o","\u041E"],["p","\u041F"],["r","\u0420"],["s","\u0421"],["t","\u0422"],["u","\u0423"],["f","\u0424"],["``","\u042A"],["`","\u044A",true],["y","\u042B"],["\'\'","\u042C"],["\'","\u044C",true],["x","\u0425"],["h","\u0425"],["c","\u0426"],["kh","\u0425"]]');
pref("extensions.tocyrillic.layouts.default.description","Обыкновенная Латиница (default)");
pref("extensions.tocyrillic.layouts.yazherty",'[["a","А"],["b","Б"],["v","В"],["g","Г"],["d","Д"],["e","Е"],["@","Ё"],["#","ё"],["w","Ж"],["z","З"],["i","И"],["j","Й"],["k","К"],["l","Л"],["m","М"],["n","Н"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["u","У"],["f","Ф"],["x","Х"],["c","Ц"],["h","Ч"],["[","ш"],["{","Ш"],["]","щ"],["}","Щ"],["^","Ъ"],["&","ъ"],["y","Ы"],["=","ь"],["+","Ь"],["\\\\","э"],["|","Э"],["`","ю"],["~","Ю"],["q","Я"]]');
pref("extensions.tocyrillic.layouts.yazherty.description","Фонетическая раскладка яЖерты");
pref("extensions.tocyrillic.layouts.bulgarian",'[["a","А"],["b","Б"],["v","В"],["g","Г"],["d","Д"],["e","Е"],["j","Ж"],["z","З"],["i","И"],["ay","АЙ"],["ey","ЕЙ"],["iy","ИЙ"],["oy","ОЙ"],["uy","УЙ"],["k","К"],["l","Л"],["m","М"],["n","Н"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["u","У"],["f","Ф"],["h","Х"],["tc","Ц"],["ch","Ч"],["sh","Ш"],["sht","Щ"],["y","Ъ"],["iu","Ю"],["q","Я"],["w","В"],["x","Х"],["c","Ц"],["ya","Я"],["yu","Ю"],["\'","ь",true]]');
pref("extensions.tocyrillic.layouts.bulgarian.description","Bulgarian Translit");
pref("extensions.tocyrillic.layouts.serbian",'[["lj","Љ"],["nj","Њ"],["dž","Џ"],["a","А"],["b","Б"],["c","Ц"],["č","Ч"],["ć","Ћ"],["d","Д"],["đ","Ђ"],["e","Е"],["f","Ф"],["g","Г"],["h","Х"],["i","И"],["j","Ј"],["k","К"],["l","Л"],["m","М"],["n","Н"],["o","О"],["p","П"],["r","Р"],["s","С"],["š","Ш"],["t","Т"],["u","У"],["v","В"],["z","З"],["ž","Ж"],["ly","Љ"],["ny","Њ"],["dx","Џ"],["dzx","Џ"],["cx","Ч"],["cy","Ћ"],["dy","Ђ"],["sx","Ш"],["zx","Ж"],["đ","ѓ"],["z","ѕ"],["ć","ќ"]]');
pref("extensions.tocyrillic.layouts.serbian.description","Customized Serbian Latinica");
pref("extensions.tocyrillic.layouts.gost",'[["a","А"],["b","Б"],["v","В"],["g","Г"],["d","Д"],["e","Е"],["jo","Ё"],["zh","Ж"],["z","З"],["i","И"],["jj","Й"],["k","К"],["l","Л"],["m","М"],["n","Н"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["u","У"],["f","Ф"],["kh","Х"],["c","Ц"],["ch","Ч"],["sh","Ш"],["shh","Щ"],["\\"","ъ",true],["y","Ы"],["\'","ь",true],["eh","Э"],["ju","Ю"],["ja","Я"]]');
pref("extensions.tocyrillic.layouts.gost.description","Русская Транслитерация: ГОСТ 7.79-2000");
pref("extensions.tocyrillic.layouts.ukrainian",'[["a","А"],["b","Б"],["v","В"],["g","Г"],["d","Д"],["e","Е"],["je","Є"],["zh","Ж"],["z","З"],["y","И"],["i","І"],["i\'","Ї"],["j","Й"],["k","К"],["l","Л"],["m","М"],["n","Н"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["u","У"],["f","Ф"],["h","Х"],["x","Х"],["c","Ц"],["ch","Ч"],["sh","Ш"],["shh","Щ"],["w","Щ"],["\'\'","Ь"],["\'","ь",true],["ju","Ю"],["ü","Ю"],["ja","Я"],["\/\'","\'"]]');
pref("extensions.tocyrillic.layouts.ukrainian.description", "Ukrainian - translit.ru");
pref("extensions.tocyrillic.layouts.translitru",'[["shh","Щ"],["w","Щ"],["ö","Ё"],["jo","Ё"],["yo","Ё"],["zh","Ж"],["ch","Ч"],["sh","Ш"],["ü","Ю"],["yu","Ю"],["ju","Ю"],["ja","Я"],["ya","Я"],["ä","Э"],["je","Э"],["a","А"],["b","Б"],["v","В"],["g","Г"],["d","Д"],["e","Е"],["z","З"],["i","И"],["j","Й"],["k","К"],["l","Л"],["m","М"],["n","Н"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["u","У"],["f","Ф"],["##","Ъ"],["#","ъ",true],["y","Ы"],["\'\'","Ь"],["\'","ь",true],["x","Х"],["h","Х"],["c","Ц"],["kh","Х"],["j/e","ЙЕ"],["j/o","ЙО"],["j/a","ЙА"],["j/u","ЙУ"],["y/o","ЫО"],["y/e","ЫЕ"],["y/u","ЫУ"],["y/a","ЫА"]]');
pref("extensions.tocyrillic.layouts.translitru.description","Русская Транслитерация - translit.ru+");
pref("extensions.tocyrillic.layouts.bulgarianext",'[["sht","Щ"],["6t","Щ"],["zh","Ж"],["ch","Ч"],["4","Ч",true],["c","Ц"],["tz","Ц"],["sh","Ш"],["6","Ш",true],["ju","Ю"],["yu","Ю"],["ja","Я"],["ya","Я"],["q","Я"],["aja","АЯ"],["aj","АЙ"],["eja","ЕЯ"],["ej","ЕЙ"],["ija","ИЯ"],["ij","ИЙ"],["oja","ОЯ"],["oj","ОЙ"],["uja","УЯ"],["uj","УЙ"],["aya","АЯ"],["ay","АЙ"],["eya","ЕЯ"],["ey","ЕЙ"],["iya","ИЯ"],["iy","ИЙ"],["oya","ОЯ"],["oy","ОЙ"],["uya","УЯ"],["uy","УЙ"],["a","А"],["b","Б"],["v","В"],["w","В"],["g","Г"],["d","Д"],["e","Е"],["j","Ж"],["z","З"],["i","И"],["j","Й"],["k","К"],["l","Л"],["m","М"],["n","Н"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["u","У"],["f","Ф"],["h","Х"],["x","Х"],["y","Ъ"],["j","ь",true]]');
pref("extensions.tocyrillic.layouts.bulgarianext.description","Bulgarian Extended");
pref("extensions.tocyrillic.layouts.jcuken",'[["`","ё"],["~","Ё"],["@","\\""],["#","№"],["$",";"],["^",":"],["&","?"],["q","й"],["w","ц"],["e","у"],["r","к"],["t","е"],["y","н"],["u","г"],["i","ш"],["o","щ"],["p","з"],["[","х"],["{","Х"],["]","ъ"],["}","Ъ"],["|","/"],["a","ф"],["s","ы"],["d","в"],["f","а"],["g","п"],["h","р"],["j","о"],["k","л"],["l","д"],[";","ж"],[":","Ж"],["\'","э"],["\\"","Э"],["z","я"],["x","ч"],["c","с"],["v","м"],["b","и"],["n","т"],["m","ь"],[",","б"],["<","Б"],[".","ю"],[">","Ю"],["/","."],["?",","]]');
pref("extensions.tocyrillic.layouts.jcuken.description", "Стандартная Русская Клавиатура ЙЦУКЕН");
pref("extensions.tocyrillic.layouts.macedonian",'[["a","А"],["b","Б"],["v","В"],["g","Г"],["d","Д"],["gj","ѓ"],["e","Е"],["`e","Ѐ"],["e\'","Ѐ"],["ž","Ж"],["zh","Ж"],["z","З"],["dz","ѕ"],["i","И"],["`i","Ѝ"],["i\'","Ѝ"],["j","Ј"],["k","К"],["l","Л"],["lj","Љ"],["ly","Љ"],["m","М"],["n","Н"],["nj","Њ"],["ny","Њ"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["ć","ќ"],["kj","ќ"],["ky","ќ"],["u","У"],["f","Ф"],["h","Х"],["c","Ц"],["č","Ч"],["ch","Ч"],["dž","Џ"],["dzh","Џ"],["š","Ш"],["sh","Ш"]]');
pref("extensions.tocyrillic.layouts.macedonian.description", "Macedonian Latinica");
pref("extensions.tocyrillic.layouts.macedonianofficialenglish", '[["a","А"],["b","Б"],["v","В"],["g","Г"],["d","Д"],["gj","Ѓ"],["e","Е"],["zj","Ж"],["ž","Ж"],["z","З"],["dz","ѕ"],["i","И"],["j","Ј"],["k","К"],["l","Л"],["lj","Љ"],["m","М"],["n","Н"],["nj","Њ"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["kj","Ќ"],["ќ","Ќ"],["u","У"],["f","Ф"],["h","Х"],["c","Ц"],["cj","Ч"],["č","Ч"],["dzj","Џ"],["dž","Џ"],["sj","Ш"],["š","Ш"]]');
pref("extensions.tocyrillic.layouts.macedonianofficialenglish.description", "Macedonian - English Letters");
pref("extensions.tocyrillic.layouts.macedonianofficialunicode", '[["a","А"],["b","Б"],["v","В"],["g","Г"],["d","Д"],["gj","Ѓ"],["e","Е"],["ž","Ж"],["zj","Ж"],["z","З"],["dz","ѕ"],["i","И"],["j","Ј"],["k","К"],["l","Л"],["lj","Љ"],["m","М"],["n","Н"],["nj","Њ"],["o","О"],["p","П"],["r","Р"],["s","С"],["t","Т"],["ќ","Ќ"],["kj","Ќ"],["u","У"],["f","Ф"],["h","Х"],["c","Ц"],["č","Ч"],["cj","Ч"],["dž","Џ"],["dzj","Џ"],["š","Ш"],["sj","Ш"]]');
pref("extensions.tocyrillic.layouts.macedonianofficialunicode.description", "Macedonian - Unicode");
pref("extensions.tocyrillic.layouts.taiwanesepoj",'[["a2","á"],["a3","à"],["a5","â"],["a7","ā"],["ah8","a̍h"],["ai2","ái"],["ai3","ài"],["ai5","âi"],["ai7","āi"],["ainn2","áiⁿ"],["ainn3","àiⁿ"],["ainn5","âiⁿ"],["ainn7","āiⁿ"],["am2","ám"],["am3","àm"],["am5","âm"],["am7","ām"],["ap8","a̍p"],["an2","án"],["an3","àn"],["an5","ân"],["an7","ān"],["at8","a̍t"],["ang2","áng"],["ang3","àng"],["ang5","âng"],["ang7","āng"],["ak8","a̍k"],["ann2","áⁿ"],["ann3","àⁿ"],["ann5","âⁿ"],["ann7","āⁿ"],["au2","áu"],["au3","àu"],["au5","âu"],["au7","āu"],["auh8","a̍uh"],["aunn2","áuⁿ"],["aunn5","âuⁿ"],["aunn7","āuⁿ"],["aunnh8","a̍uⁿh"],["e2","é"],["e3","è"],["e5","ê"],["e7","ē"],["eh8","e̍h"],["enn2","éⁿ"],["enn3","èⁿ"],["enn5","êⁿ"],["enn7","ēⁿ"],["ennh8","e̍ⁿh"],["i2","í"],["i3","ì"],["i5","î"],["i7","ī"],["ih8","i̍h"],["im2","ím"],["im3","ìm"],["im5","îm"],["im7","īm"],["ip8","i̍p"],["in2","ín"],["in3","ìn"],["in5","în"],["in7","īn"],["it8","i̍t"],["eng2","éng"],["eng3","èng"],["eng5","êng"],["eng7","ēng"],["ek8","e̍k"],["inn2","íⁿ"],["inn3","ìⁿ"],["inn5","îⁿ"],["inn7","īⁿ"],["innh8","i̍ⁿh"],["iunn2","iúⁿ"],["iunn3","iùⁿ"],["iunn5","iûⁿ"],["iunn7","iūⁿ"],["m2","ḿ"],["m5","m̂"],["m7","m̄"],["mh8","m̍h"],["ng2","ńg"],["ng3","ǹg"],["ng5","n̂g"],["ng7","n̄g"],["ngh8","n̍gh"],["nng2","nńg"],["nng3","nǹg"],["nng5","nn̂g"],["nng7","nn̄g"],["nn","ⁿ"],["o2","ó"],["o3","ò"],["o5","ô"],["o7","ō"],["oh8","o̍h"],["ong2","óng"],["ong3","òng"],["ong5","ông"],["ong7","ōng"],["ok8","o̍k"],["onn2","óⁿ"],["onn3","òⁿ"],["onn5","ôⁿ"],["onn7","ōⁿ"],["onnh8","o̍ⁿh"],["ou1","o͘"],["ou2","ó͘"],["ou3","ò͘"],["ou5","ô͘"],["ou7","ō͘"],["u2","ú"],["u3","ù"],["u5","û"],["u7","ū"],["uh8","u̍h"],["oainn2","oáiⁿ"],["oainn3","oàiⁿ"],["oainn5","oâiⁿ"],["oainn7","oāiⁿ"],["ui2","úi"],["ui3","ùi"],["ui5","ûi"],["ui7","ūi"],["uih8","u̍ih"],["uinn2","úiⁿ"],["uinn3","ùiⁿ"],["uinn5","ûiⁿ"],["uinn7","ūiⁿ"],["un2","ún"],["un3","ùn"],["un5","ûn"],["un7","ūn"],["ut8","u̍t"]]');
pref("extensions.tocyrillic.layouts.taiwanesepoj.description", "台灣/闽南白話字");

// Cherokee transliteration, with standard syllable spelling and most common alternate spellings.
//	by Jesse Chisholm, (c) 2006 -- Offered for the Public Domain.
pref("extensions.tocyrillic.layouts.cherokee",'[["a","\u13A0"],["e","\u13A1"],["i","\u13A2"],["o","\u13A3"],["u","\u13A4"],["v","\u13A5"],["ga","\u13A6"],["ka","\u13A7"],["ge","\u13A8"],["gi","\u13A9"],["go","\u13AA"],["gu","\u13AB"],["gv","\u13AC"],["ha","\u13AD"],["he","\u13AE"],["hi","\u13AF"],["ho","\u13BO"],["hu","\u13B1"],["hv","\u13B2"],["la","\u13B3"],["le","\u13B4"],["li","\u13B5"],["lo","\u13B6"],["lu","\u13B7"],["lv","\u13B8"],["ma","\u13B9"],["me","\u13BA"],["mi","\u13BB"],["mo","\u13BC"],["mu","\u13BD"],["na","\u13BE"],["hna","\u13BF"],["nah","\u13C0"],["ne","\u13C1"],["ni","\u13C2"],["no","\u13C3"],["nu","\u13C4"],["nv","\u13C5"],["qua","\u13C6"],["que","\u13C7"],["qui","\u13C8"],["quo","\u13C9"],["quu","\u13CA"],["quv","\u13CB"],["sa","\u13CC"],["s","\u13CD"],["se","\u13CE"],["si","\u13CF"],["so","\u13D0"],["su","\u13D1"],["sv","\u13D2"],["da","\u13D3"],["ta","\u13D4"],["de","\u13D5"],["te","\u13D6"],["di","\u13D7"],["ti","\u13D8"],["do","\u13D9"],["du","\u13DA"],["dv","\u13DB"],["dla","\u13DC"],["tla","\u13DD"],["tle","\u13DE"],["tli","\u13DF"],["tlo","\u13E0"],["tlu","\u13E1"],["tlv","\u13E2"],["tsa","\u13E3"],["tse","\u13E4"],["tsi","\u13E5"],["tso","\u13E6"],["tsu","\u13E7"],["tsv","\u13E8"],["wa","\u13E9"],["we","\u13EA"],["wi","\u13EB"],["wo","\u13EC"],["wu","\u13ED"],["wv","\u13EE"],["ya","\u13EF"],["ye","\u13F0"],["yi","\u13F1"],["yo","\u13F2"],["yu","\u13F3"],["yv","\u13F4"],["kwa","\u13C6"],["kwe","\u13C7"],["kwi","\u13C8"],["kwo","\u13C9"],["kwu","\u13CA"],["kwv","\u13CB"],["ja","\u13E3"],["je","\u13E4"],["ji","\u13E5"],["jo","\u13E6"],["ju","\u13E7"],["jv","\u13E8"],["cha","\u13E3"],["che","\u13E4"],["chi","\u13E5"],["cho","\u13E6"],["chu","\u13E7"],["chv","\u13E8"],["ra","\u13B3"],["re","\u13B4"],["ri","\u13B5"],["ro","\u13B6"],["ru","\u13B7"],["rv","\u13B8"],["ke","\u13A8"],["ki","\u13A9"],["ko","\u13AA"],["ku","\u13AB"],["kv","\u13AC"],["ee","\u13A2"],["gee","\u13A9"],["kee","\u13A9"],["hee","\u13AF"],["lee","\u13B5"],["mee","\u13BB"],["nee","\u13C2"],["quee","\u13C8"],["see","\u13CF"],["dee","\u13D7"],["tee","\u13D8"],["tlee","\u13DF"],["wee","\u13EB"],["yee","\u13F1"]]');
pref("extensions.tocyrillic.layouts.cherokee.description", "\u13E3\u13B3\u13A9 (transliterate)");

// Jon Thackray http://jon.thackray.org/georgian.html
pref("extensions.tocyrillic.layouts.georgian",'[["a", "ა"], ["b", "ბ"], ["g", "გ"], ["d", "დ"], ["e", "ე"], ["v", "ვ"], ["z", "ზ"], ["t", "თ"], ["i", "ი"], ["k\'", "კ"], ["l", "ლ"], ["m", "მ"], ["n", "ნ"], ["o", "ო"], ["p\'", "პ"], ["zh", "ჟ"], ["r", "რ"], ["s", "ს"], ["t", "ტ"], ["u", "უ"], ["p", "ფ"], ["k", "ქ"], ["gh", "ღ"], ["q\'", "ყ"], ["sh", "შ"], ["ch", "ჩ"], ["ts", "ც"], ["dz", "ძ"], ["ts\'", "წ"], ["ch\'", "ჭ"], ["kh", "ხ"], ["j", "ჯ"], ["h", "ჰ"]]');
pref("extensions.tocyrillic.layouts.georgian.description","Georgian/Kartuli (ქართული)");

pref("extensions.tocyrillic.layouts.qaztranslitcom",'[["a","А"],["a\'","Ә"],["b","Б"],["v","В"],["g","Г"],["gh","Ғ"],["d","Д"],["e","Е"],["j","Ж"],["z","З"],["i\'","И"],["y","Ы"],["i","І"],["ay","АЙ"],["a\'y","ӘЙ"],["ey","ЕЙ"],["e\'y","ЭЙ"],["iy","ИЙ"],["oy","ОЙ"],["o\'y","ӨЙ"],["wy","УЙ"],["uy","ҰЙ"],["u\'y","ҮЙ"],["k","К"],["q","Қ"],["l","Л"],["m","М"],["n","Н"],["ng","Ң"],["nG","ng"],["o","О"],["o\'","Ө"],["p","П"],["r","Р"],["s","С"],["t","Т"],["w","У"],["u","Ұ"],["u\'","Ү"],["f","Ф"],["x","Х"],["h","һ"],["c","Ц"],["ch","Ч"],["sh","Ш"],["\'\'","Ъ"],["e\'","Э"],["yu","Ю"],["ya","Я"],["\'","ь"]]');
pref("extensions.tocyrillic.layouts.qaztranslitcom.description","Kazakh - QazTranslit.com");
